> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/access-and-security/sharinpix-permission.md).

# SharinPix permission

The code snippet below demonstrates the structure of the **SharinPix Permissions** as implemented in an Apex Controller.

```apex
public class SharinPixActionDemoCtrl {
    public String parameters {get; set;}
    
    public SharinPixActionDemoCtrl(ApexPages.StandardController controller) {
        Id accId = controller.getId();
        
        Map<String, Object> params = new Map<String, Object> {
            'exp' => 1528281766,
            'abilities' => new Map<String, Object> {
                accId => new Map<String, Object> {
                    'Access' => new Map<String, Object> {
                        'see' => true,
                        'image_list' => true,
                        'image_upload' => true,
                        'image_tag' => true,
                        'image_delete' => true
                    },
                    'Tags' => new Map<String, Object> {
                        'car' => new Map<String, String> {
                            'en' => 'car',
                            'fr' => 'voiture'
                        }        
                    },
                    'Action' => new List<String> {
                        'Add to description'        
                    }
                }
            } 
        };
        parameters = JSON.serialize(params);
    }
}
```

{% hint style="warning" %}
**Note:** The key **exp** represents the **expiration time** in UNIX timestamp format measured in milliseconds. For more information on this value, refer to this article: <https://jwt.io/introduction/>
{% endhint %}

* The keys that make up the **params** Map structure are:
  * **SharinPix Abilities**, to put in simpler terms, are designations that have the possibility to expand or restrict the features enabled on the SharinPix Album.
  * The **Access** key represents the rights to specific SharinPix features.
  * **Tags** - Labels along with their corresponding translations in English (en) and in French (fr).
  * The **Action** key accepts a **SharinPix Action** as value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/documentation/access-and-security/sharinpix-permission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
